/* 
 * enPathia
 * Eneso Tecnología de Adaptación, S.L. 
 */

#ifndef __PROTOCOL_H__
#define __PROTOCOL_H__

/* Operation mode */
#define MODE_MOVEMENT            	1
#define MODE_NOTIFY		          	2
#define MODE_RAW					3
#define MODE_FLASH					4

/* Commands from the application */
#define COMMAND_SET_MODE	     	1
#define COMMAND_KEY					2
#define COMMAND_CLICK				3
#define COMMAND_CONFIG				4			
#define COMMAND_CALIB				5
#define COMMAND_FLASH				6

/* Notifications to the application */
#define NOTIF_MOVEMENT		     	1
#define NOTIF_STOPPED            	2
#define NOTIF_RAW					3
#define NOTIF_SWITCH				4
#define NOTIF_SENSOR				5
#define NOTIF_TAG					6
#define NOTIF_CHECKSUM_OK			7
#define NOTIF_CHECKSUM_ERROR		8

/* Type of movement */
#define MOV_NONE					0
#define MOV_LEFT					1
#define MOV_RIGHT					2
#define MOV_UP						3
#define MOV_DOWN					4

/* Type of click */
#define CLICK_LEFT					1
#define CLICK_RIGHT					2
#define CLICK_DOUBLE				3
#define CLICK_PRESS					4
#define CLICK_RELEASE				5

/* Configuration parameter */
#define CFG_STOP_TIME				1
#define CFG_MOVEMENT_SPEED			2
#define CFG_NOTIFY_STEP_TIME		3
#define CFG_THRESHOLD_LEFT			4
#define CFG_THRESHOLD_RIGHT			5
#define CFG_THRESHOLD_UP			6
#define CFG_THRESHOLD_DOWN			7
#define CFG_LONG_PRESS_TIME			8

/* Flash parameter */
#define FLASH_GET_TAG				1
#define FLASH_CLEAR					2
#define FLASH_WRITE					3
#define FLASH_BOOTL					4

#endif /* __PROTOCOL_H__ */
